com.google.gwt.text.client

## Class IntegerParser

- java.lang.Object
- - com.google.gwt.text.client.IntegerParser

All Implemented Interfaces:
  Parser<java.lang.Integer>

    public class IntegerParser
    extends java.lang.Object
    implements Parser<java.lang.Integer>

A localized parser based on `NumberFormat.getDecimalFormat()`.

### Constructor Summary

Constructors
`protected` `IntegerParser()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Parser<java.lang.Integer>` `instance()` Returns the instance of the no-op renderer.
`java.lang.Integer` `parse(java.lang.CharSequence object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntegerParser

    protected IntegerParser()

### Method Detail

#### instance

    public static Parser<java.lang.Integer> instance()

Returns the instance of the no-op renderer.

#### parse

    public java.lang.Integer parse(java.lang.CharSequence object)
                            throws java.text.ParseException

Specified by:
  `parse` in interface `Parser<java.lang.Integer>`
Throws:
  `java.text.ParseException`